//
//  CategoryListInteractor.swift
//  xsea
//
//  Created Phạm Anh Tuấn on 8/31/19.
//  Copyright © 2019 Phạm Anh Tuấn. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class CategoryListInteractor: CategoryListInteractorInputProtocol {
    
    let categoryService: CategoryService = Injectors.get(CategoryService.self)
    weak var presenter: CategoryListInteractorOutputProtocol?
    
    
    func getCategories() {
        categoryService.getCategories().done { (categories) in
            self.presenter?.categoryListDidFetch(categories: categories)
            }.catch { (error) in
                print(error)
            }.finally {
                print("Fetch data successfully")
        }
    }
    
}
